Bug 2472 - Cantata не локализована
: Cantata не локализована
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 12:04 MSD by Postnikov Dmitry
Modified: 2013-09-12 17:19 MSD (History)
3 users (show)

See Also:
RPM Package: cantata-1.0.3-3-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments
cantata4.png (363.01 KB, image/png)
2013-08-12 12:04 MSD, Postnikov Dmitry
Details
перевела полность (496.92 KB, image/png)
2013-09-10 18:08 MSD, JDronova
Details
русская пошка, также сегодня отправила её Крейгу Драммонду для добавления в апстрим (208.31 KB, text/x-gettext-translation)
2013-09-10 18:09 MSD, JDronova
Details
log.txt (2.15 KB, text/plain)
2013-09-11 16:40 MSD, Vladimir Potapov
Details
localization (201.38 KB, image/jpeg)
2013-09-11 17:27 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-08-12 12:04:43 MSD
Created attachment 1753 [details]
cantata4.png

Description of problem:
Cantata не переведена на русский

Version-Release number of selected component (if applicable):
cantata-1.0.3-3-rosa2012.1.x86_64

Скрин приложил
Comment 1 JDronova 2013-08-26 23:37:31 MSD
Забираю файл для перевода отсюда:
http://cantata.googlecode.com/svn/trunk/po/
русского там нет вообще, да.
Comment 2 JDronova 2013-09-10 18:08:48 MSD
Created attachment 1908 [details]
перевела полность
Comment 3 JDronova 2013-09-10 18:09:34 MSD
Created attachment 1909 [details]
русская пошка, также сегодня отправила её Крейгу Драммонду для добавления в апстрим
Comment 4 JDronova 2013-09-11 08:50:51 MSD
(In reply to comment #3)
> Created attachment 1909 [details]
> русская пошка, также сегодня отправила её Крейгу Драммонду для добавления в
> апстрим

«I've added it to trunk, and branches/1.1 - so will be released with 1.1.3»
Ждём в релизе 1.1.3 в апстриме, а у нас можно и сейчас пересобрать, между прочим.
Comment 5 Denis Silakov 2013-09-11 09:07:20 MSD
Пошло пересобираться за три минут до коммента:)
Comment 6 Denis Silakov 2013-09-11 12:50:45 MSD
Advisory:

Added Russian localization for Cantata

Build lists:
https://abf.rosalinux.ru/build_lists/1247494
https://abf.rosalinux.ru/build_lists/1247493
Comment 7 Vladimir Potapov 2013-09-11 14:00:21 MSD
urpmi --auto-update

Не удаётся установить запрошенный пакет:
mpd-0.17.2-1-rosa2012.1.x86_64 (чтобы сохранить mpd-0.17.2-1-plf2012.1.x86_64)
Comment 8 Denis Silakov 2013-09-11 14:08:56 MSD
Maybe you have disable restricted repository?

Meanwhile, it turned out that cantata is in contrib, so there was no need to send it to QA. Maybe we can just publish it (if enabling restricted repo will help you to avoid mpd issue)?
Comment 9 Vladimir Potapov 2013-09-11 16:40:24 MSD
Created attachment 1911 [details]
log.txt

No. See log
Comment 10 Vladimir Potapov 2013-09-11 17:27:28 MSD
Created attachment 1912 [details]
localization

Localization don't present.
***************************
QA Denied
Comment 11 Postnikov Dmitry 2013-09-11 17:28:13 MSD
(In reply to comment #9)
> Created attachment 1911 [details]
> log.txt
> 
> No. See log

Так надо подключить репы Contrib. Судя по логам Контриб не подключен.
Comment 12 Vladimir Potapov 2013-09-11 17:32:40 MSD
Оту(In reply to comment #11)
> (In reply to comment #9)
> > Created attachment 1911 [details]
> > log.txt
> > 
> > No. See log
> 
> Так надо подключить репы Contrib. Судя по логам Контриб не подключен.

Подключен (еще раз проверил, да я и верхом на предыдущую версию ставил,а ей неоткуда было бы взяться без контриба). Вообще-то не очень понятно, как контрибовая программа попала на QA :-)
Comment 13 Denis Silakov 2013-09-11 17:35:45 MSD
(In reply to comment #12)

> Подключен (еще раз проверил, да я и верхом на предыдущую версию ставил,а ей
> неоткуда было бы взяться без контриба). Вообще-то не очень понятно, как
> контрибовая программа попала на QA :-)

Ее пофиксили с такой скоростью, что я не подумал, что он их контриба:)

Ок, я попозже посмотрю, может что-то криво собралось. Тогда уже без qa опубликую:)
Comment 14 Denis Silakov 2013-09-12 17:19:34 MSD
Нашел опечатку, теперь пересобралось действительно с локализацей. Заодно и mpd подправили - там суффикс plf неверно выставлялся.

Пошло публиковаться без QA. Но не зря на QA посылали, вон сразу сколько интересного нашли:)